<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2015년 12월 21일 월요일 오전 04시 45분 - 날씨 쌀쌀하다. 혹한은 아니고

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 라이브러리
=====================================================================

*/

  IF ( !defined('_GNUBOARD_') )                      EXIT;

  auth_check($auth[$sub_menu], "r");

  function get__prog_version_n($fnc_version_s)
  {

      $version_n = 0;

      IF ( $fnc_version_s )
      {

          $exs = explode('.', $fnc_version_s);

          IF ( (int)$exs[0] > 0 )                  $version_n += ($exs[0]*100000000);
          IF ( (int)$exs[1] > 0 )                  $version_n += ($exs[1]*1000000);
          IF ( (int)$exs[2] > 0 )                  $version_n += ($exs[2]*10000);
          IF ( (int)$exs[3] > 0 )                  $version_n += ($exs[3]*100);
          IF ( (int)$exs[4] > 0 )                  $version_n += ($exs[4]*1);

      }

      return $version_n;

  }

  function save_piree__program_info($piree_menu_n)
  {

      global $piree, $piree_prog_a, $prog_memo_s;

      $grp_n = 1;

// 없음
      $user_n = 0;

      $domain_s = G5_DOMAIN ."/";

      $func_prog_ver_n = get__prog_version_n($piree_prog_a[$piree_menu_n]['version_s']);

      $sql_common  = "`pgs_grp_n`        = '". $grp_n ."', ";
      $sql_common .= "`pgs_user_n`      = '". $user_n ."', ";
      $sql_common .= "`pgs_prog_c`      = '". $piree_prog_a[$piree_menu_n]['code'] ."', ";
      $sql_common .= "`pgs_prog_s`      = '". $piree_prog_a[$piree_menu_n]['name'] ."', ";
      $sql_common .= "`pgs_version_s`    = '". $piree_prog_a[$piree_menu_n]['version_s'] ."', ";
      $sql_common .= "`pgs_version_n`    = '". $func_prog_ver_n ."', ";
      $sql_common .= "`pgs_prog_memo_s`  = '". $prog_memo_s ."', ";
      $sql_common .= "`pgs_domain_s`    = '". $domain_s ."', ";
      $sql_common .= "`pgs_is_paid`      = '". $piree_prog_a[$piree_menu_n]['is_paid'] ."' ";

      $sql_wh_s = "`pgs_prog_n` = '". $piree_menu_n ."' AND `pgs_version_s` = '". $piree_prog_a[$piree_menu_n]['version_s'] ."'";

      $sql_select = "SELECT COUNT(*) FROM `". $piree['program_sam'] ."` WHERE ". $sql_wh_s;
      $exist = sql_efv($sql_select);

      IF ( $exist > 0 )
      {

          $sql_save  = "UPDATE `". $piree['program_sam'] ."` SET ";
          $sql_save .= $sql_common .", ";
          $sql_save .= "`pgs_modi_time_n`  = '". G5_SERVER_TIME ."' ";
          $sql_save .= "WHERE ". $sql_wh_s;

          $save_err_msg = "프로그램 설치 정보를 수정하지 못했습니다.";

      }
      ELSE
      {

          $sql_save  = "INSERT INTO `". $piree['program_sam'] ."` SET ";
          $sql_save .= "`pgs_prog_n` = '". $piree_menu_n ."', ";
          $sql_save .= $sql_common .", ";
          $sql_save .= "`pgs_regi_time_n` = '". G5_SERVER_TIME ."'";

          $save_err_msg = "프로그램 설치 정보를 입력하지 못했습니다.";

      }

      IF ( !sql_query($sql_save) )
      {

          alert($save_err_msg, $go_url_s);
          EXIT;

      }

  }

?>